For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
      • GETReturns all files of the project with the specified id.
      • POSTEndpoint to batch create external files without uploading.
      • GETReturns all files of the project with the specified id.
      • POSTCreates a new project file for the project with the specified id..
      • DELDeletes the files of the specified project.
      • POSTUploads a new file by providing an url.
      • GETReturns the file with the specified id of the project with the specified id.
      • PUTUpdates the metadata of the project file with the specified id.
      • DELDeletes the project file with the specified id.
      • POSTChanges the project this file belongs to.
      • POSTCopies the file to a new project.
      • GETReturns the content of the file with the specified id as pdf. type or conversion not possible.
      • GETReturns an url to share the file.
      • GETReturns all file versions of the specified project file.
      • POSTUploads a new version of the project file with the specified id.
      • GETReturns the project file version with the specified id.
      • GETReturns the content of the project file version with the specified id.
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Files

Uploads a new file by providing an url.

POST
https://api.awork.com/api/v1/projects/:projectId/files/byurl
POST
/api/v1/projects/:projectId/files/byurl
$curl -X POST https://api.awork.com/api/v1/projects/projectId/files/byurl \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "name": "Final project report",
3 "description": "The client requested a cost overview and timeline",
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "projectId": "123e4567-e89b-12d3-a456-426614174000",
6 "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
7 "companyId": "123e4567-e89b-12d3-a456-426614174000",
8 "taskId": "123e4567-e89b-12d3-a456-426614174000",
9 "taskTemplateId": "123e4567-e89b-12d3-a456-426614174000",
10 "userId": "123e4567-e89b-12d3-a456-426614174000",
11 "documentId": "123e4567-e89b-12d3-a456-426614174000",
12 "fileName": "Final project report.xlsx",
13 "entityType": "project",
14 "mimeType": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
15 "createdOn": "2024-01-15T09:30:00Z",
16 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
17 "updatedOn": "2024-01-15T09:30:00Z",
18 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
19 "fileVersions": [
20 {
21 "id": "123e4567-e89b-12d3-a456-426614174000",
22 "fileInfoId": "123e4567-e89b-12d3-a456-426614174000",
23 "version": 13,
24 "size": 13590,
25 "width": 1920,
26 "height": 1200,
27 "createdOn": "2024-01-15T09:30:00Z",
28 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
29 "updatedOn": "2024-01-15T09:30:00Z",
30 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
31 }
32 ],
33 "isCommentFile": false,
34 "externalProvider": null,
35 "externalFileUrl": null,
36 "isHiddenForConnectUsers": true,
37 "entityId": "123e4567-e89b-12d3-a456-426614174000"
38}
The file needs to be a public available url. The file size must not exceed 100MB. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns the file with the specified id of the project with the specified id.

Next
Built with

The file needs to be a public available url. The file size must not exceed 100MB.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project the file is linked to.

Request

The url, name and description of the file.
urlstring or nullOptional
The public url to the file.
namestring or nullOptional
The name of the file.
descriptionstring or nullOptional
The description of the file.

Response

OK
namestring or null

The user-specified name of the file.

descriptionstring or null
The description of the file.
idstringformat: "uuid"
The id of the file info.
projectIdstring or nullformat: "uuid"
projectTemplateIdstring or nullformat: "uuid"
companyIdstring or nullformat: "uuid"
taskIdstring or nullformat: "uuid"
taskTemplateIdstring or nullformat: "uuid"
userIdstring or nullformat: "uuid"
documentIdstring or nullformat: "uuid"
fileNamestring or null
The name of the file.
entityTypestring or null
The name of the linked entity type.
mimeTypestring or null
The MIME type of the file.
createdOnstringformat: "date-time"
The date this file was created.
createdBystringformat: "uuid"
The id of the user who created this file.
updatedOnstringformat: "date-time"
The date this file was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this file.
fileVersionslist of objects or null
List of all versions.
isCommentFileboolean
Whether the file is related to a comment.
externalProviderstring or null
The external provider for the file. Like 'google' or 'onedrive'.
externalFileUrlstring or null
The file url of the external provider.
isHiddenForConnectUsersboolean
Whether the file is hidden for connect users.
entityIdstring or nullformat: "uuid"Deprecated
Deprecated. The id of the linked entity derived from entity specific owner ids.